Bug 36085 - d-i: interfaces/restart/auto handling
d-i: interfaces/restart/auto handling
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Drees Dormann
: interim-3
Depends on:
Blocks: 37491
  Show dependency treegraph
 
Reported: 2014-10-07 12:22 CEST by Stefan Gohmann
Modified: 2017-09-18 11:38 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-07 12:22:35 CEST
The UCS 3 installer prevented the network restart during the installation:

stefan@leka:~/11_wrk/svn/dev/branches/ucs-3.2/ucs-3.2-3/base/univention-installer/scripts$ rgrep -i 'interfaces/restart/auto' *
25_install_config_registry.sh:ucr set --force interfaces/restart/auto=no
95_cleanup.sh:ucr unset --force interfaces/restart/auto
95_cleanup.sh:ucr unset interfaces/restart/auto
stefan@leka:~/11_wrk/svn/dev/branches/ucs-3.2/ucs-3.2-3/base/univention-installer/scripts

Currently, the final commit takes much time because of the network re-configuration.
Comment 1 Philipp Hahn univentionstaff 2014-10-10 14:58:04 CEST
r54320 | Bug #36085 USS: Prevent network restart on commit
  Set interfaces/restart/auto=no during USS and "ucr commit"

Package: univention-system-setup
Version: 8.1.10-1.701.201410101442
Branch: ucs_4.0-0

No changelog entry as this restores the previous behavior of the old UCS installer for the Debian installer.
Comment 2 Drees Dormann univentionstaff 2014-11-03 15:08:51 CET
variable is set during install and unset afterwards
Comment 3 Stefan Gohmann univentionstaff 2014-11-07 16:39:40 CET
+univention-system-setup (8.1.55-1) unstable; urgency=medium
+
+  * Reset interfaces/restart/auto before starting USS. In the meanwhile
+    the Admin can change the network setting in USS in case of an error
+    (Bug #36085)
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:55:01 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".